/*  --------------------------------------------------------------------------------------
    Program  :  CallPlotHistoSummaryDat.sas
    Path     :  Your Path
    Purpose  :  Create histograms for the Scarlet Fever data shown in Figure 7
    -----------------------------------------------------------------------------------  */
 options mautosource;
 options sasautos=(sasautos 'C:\where you store your macros');
 %let outpath=C:\where you store your graphics output;

  /* from Yule and Kendall "An Introduction to the Theory of Statistics" page 90*/
 data ScarletFeverDat;
  input x y;
  cards;
  0 17
  1 69
  2 89
  3 75
  4 75
  5 43
  10 15
  15 6
  20 5
  25 4
  30 3
  35 3
  40 3
  45 2
  50 3
  55 1
  60 .
  run;
 proc format;
  value agefmt 1-4=' ' other=[best.];
 run;

 %PlotHistoSummaryDat(inds=ScarletFeverDat, grfDevice=EMF, 
   grfFile=%str(&outpath.\Fig7_SFever.emf), binColor=LtGray,
   xvar=x, yvar=y, xdataOffset=0, yorigin=12, pctSize=5, xvalfmt=agefmt.,
   XaxisLbl=%str(Age (Years) in 1933), YaxisLbl=%str(Number of Deaths), yby=10, ListFreqsYvN=N,
   title1=%str(move=(+10pct,+0pct) "Number of Deaths from Scarlet Fever in England and Wales"));

 data ScarletFeverDatEvenI;
  input x y;
  cards;
   0 325
   5 43
  10 15
  15 6
  20 5
  25 4
  30 3
  35 3
  40 3
  45 2
  50 3
  55 1
  60 .
  run;

 %PlotHistoSummaryDat(inds=ScarletFeverDatEvenI, grfDevice=EMF, 
   grfFile=%str(&outpath.\Fig7a_SFever.emf), binColor=LtGray,
   xvar=x, yvar=y, xdataOffset=0, yorigin=12, pctSize=5, xvalfmt=3.,
   XaxisLbl=%str(Age (Years) in 1933), YaxisLbl=%str(Number of Deaths), yby=50, ListFreqsYvN=N,
   title1=%str(move=(+10pct,+0pct) "Number of Deaths from Scarlet Fever in England and Wales"));
