/*  ---------------------------------------------------------------------------
    Program  :  InFcn.sas

    Path     :  C:\Your path

    Purpose  :  The macro InFcn works just like the IN operator in the macro
                language.

    Notes    :  *Used for checking CURVETYPE in PlotHistoN09.sas
                *TORF contains a number such that 0=false, anything else=true.
                *Arguments are case INSENSITIVE.

    Parms    :  Source: The string that is CHECKED
                Matchlist: The search list.
    ------------------------------------------------------------------------  */
%macro InFcn (source, matchlist);
  %local TorF quotes;
  %let quotes=%str(%'%");
  %let source = %nrbquote(%sysfunc(compress(&source,"&quotes")));
  %let source = %scan(&source,1,%str( ));
  %let matchlist = %sysfunc(translate(&matchList,' ', ','));
  %let matchlist = %nrbquote(%sysfunc(compress(&matchList,"&quotes")));
  %let TorF = %SYSFUNC(indexW(%upcase(&matchlist), %upcase(&source)));
  &TorF
%mend InFcn;
